com.hazelcast.logging

## Class LoggingServiceImpl

- java.lang.Object
- - com.hazelcast.logging.LoggingServiceImpl

- All Implemented Interfaces:
    LoggingService

      public class LoggingServiceImpl
      extends Object
      implements LoggingService

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LoggingServiceImpl(String groupName, String loggingType, BuildInfo buildInfo)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addLogListener(Level level, LogListener logListener)`
    `ILogger` | `getLogger(Class clazz)`
    `ILogger` | `getLogger(String name)`
    `void` | `removeLogListener(LogListener logListener)`
    `void` | `setThisMember(MemberImpl thisMember)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LoggingServiceImpl

          public LoggingServiceImpl(String groupName,
                                    String loggingType,
                                    BuildInfo buildInfo)

  - ### Method Detail

    - #### setThisMember

          public void setThisMember(MemberImpl thisMember)

    - #### getLogger

          public ILogger getLogger(String name)

      Specified by:
        `getLogger` in interface `LoggingService`

    - #### getLogger

          public ILogger getLogger(Class clazz)

      Specified by:
        `getLogger` in interface `LoggingService`

    - #### addLogListener

          public void addLogListener(Level level,
                                     LogListener logListener)

      Specified by:
        `addLogListener` in interface `LoggingService`

    - #### removeLogListener

          public void removeLogListener(LogListener logListener)

      Specified by:
        `removeLogListener` in interface `LoggingService`

Copyright © 2019. All rights reserved.